Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 625632 - <app-antivirus/clamav-0.99.4: multiple vulnerabilities through embedded libmspack (CVE-2017-{6419,11423})
Summary: <app-antivirus/clamav-0.99.4: multiple vulnerabilities through embedded libms...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa+ cve]
Keywords:
: 649328 (view as bug list)
Depends on: CVE-2018-0202, CVE-2018-1000085
Blocks: CVE-2017-11423 CVE-2017-6419
  Show dependency tree
 
Reported: 2017-07-19 13:16 UTC by Agostino Sarubbo
Modified: 2018-04-22 22:34 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-07-19 13:16:41 UTC
From ${URL} :

The cabd_read_string function in mspack/cabd.c in libmspack 0.5alpha,
as used in ClamAV 0.99.2 and other products, allows remote attackers to
cause a denial of service (stack-based buffer over-read and application
crash) via a crafted CAB file.

Reference:

https://github.com/hackerlib/hackerlib-vul/tree/master/clamav-vul

Upstream bug:

https://bugzilla.clamav.net/show_bug.cgi?id=11873


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Eddie Chapman 2017-10-03 10:47:32 UTC
This vulnerability (CVE-2017-11423) exists in libclamav/libmspack-0.5alpha/mspack/cabd.c in Clamav's upstream git development repo (https://github.com/vrtadmin/clamav-devel). However, the libclamav/libmspack-0.5alpha directory does not exist in ClamAV 0.99.2 (released April 2016), it was added later. Therefore, this vulnerability does not appear to apply to 0.99.2. However, Clamav 0.99.2 does include 2 files libclamav/mspack.c and libclamav/mspack.h which "includes code from libmspack adapted for libclamav" as stated at the top of the files. I don't know if the vulnerability exists in these adaptions.
Comment 2 Thomas Deutschmann gentoo-dev Security 2018-03-02 00:18:30 UTC
While this is fixed in clamav-0.99.4, package should be converted to use "--with-system-libmspack" to use dev-libs/libmspack.
Comment 3 Thomas Raschbacher gentoo-dev 2018-03-02 17:17:53 UTC
I just checked .. but I cannot see anything related to using system libmspack in 0.99.4
Comment 4 Thomas Deutschmann gentoo-dev Security 2018-03-02 18:51:46 UTC
For the moment, we are going with clamav-0.99.4 which is still bundling (now fixed) libraries. The unbundling will be tracked in bug 649394.
Comment 5 Thomas Deutschmann gentoo-dev Security 2018-03-10 23:09:00 UTC
*** Bug 649328 has been marked as a duplicate of this bug. ***
Comment 6 Thomas Raschbacher gentoo-dev 2018-04-09 20:15:36 UTC
https://blog.clamav.net/2018/04/clamav-01000-has-been-released.html ;) has --with-system-libmspack
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2018-04-22 22:34:12 UTC
This issue was resolved and addressed in
 GLSA 201804-16 at https://security.gentoo.org/glsa/201804-16
by GLSA coordinator Aaron Bauman (b-man).